File yast2-ycp-ui-bindings.spec of Package yast2-ycp-ui-bindings

#
# spec file for package yast2-ycp-ui-bindings (Version 2.17.11)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-ycp-ui-bindings
Version:        2.17.11
Release:        1
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-ycp-ui-bindings-2.17.11.tar.bz2
Prefix:         /usr
BuildRequires:  gcc-c++
BuildRequires:  yast2-devtools
# autodocs + docbook docs
BuildRequires:  doxygen
BuildRequires:  docbook-xsl-stylesheets libxslt
BuildRequires:  sgml-skel
Requires:       yast2-core
BuildRequires:  yast2-core-devel
Conflicts:      yast2-core < 2.16.38
# libycp includes crypto built-ins
BuildRequires:  libxcrypt-devel
Requires:       yast2-libyui	   >= 2.17.14
BuildRequires:  yast2-libyui-devel >= 2.17.14
# libyui ImplPtr
BuildRequires:  boost-devel
Summary:        YaST2 - YCP Bindings for the YaST2 User Interface Engine
Provides:       %{_libdir}/YaST2/plugin/libpy2UI.so.2.0.0

%description
This package makes the generic YaST2 user interface engine available
for YCP applications (YCP is the scripting language in which most YaST2
modules are written).



Authors:
--------
    Stefan Hundhammer <sh@suse.de>
    Martin Vidner <mvidner@suse.de>
    Matthias Kettner

%package devel
License:        GPL v2 or later
Requires:       yast2-ycp-ui-bindings = %version
Group:          System/YaST
Summary:        YaST2 - Development for YCP Bindings for the YaST2 User Interface Engine
Requires:       glibc-devel
Requires:       libstdc++-devel
Requires:       boost-devel
Requires:       yast2-libyui-devel
Requires:       yast2-core-devel
Requires:       libxcrypt-devel
Requires:       yast2-devtools

%description devel
This is the development package that makes the generic YaST2 user
interface engine available for YCP applications (YCP is the scripting
language in which most YaST2 modules are written).



Authors:
--------
    Stefan Hundhammer <sh@suse.de>
    Martin Vidner <mvidner@suse.de>
    Matthias Kettner

%prep
%setup -n yast2-ycp-ui-bindings-2.17.11

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
mkdir -p "$RPM_BUILD_ROOT"/var/log/YaST2
%perl_process_packlist

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir %{_libdir}/YaST2
%dir %{_libdir}/YaST2/plugin
%{_libdir}/YaST2/plugin/lib*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/YaST2/plugin/lib*.so
%{_libdir}/YaST2/plugin/lib*.la
%{prefix}/include/YaST2
%{_libdir}/pkgconfig/yast2-ycp-ui-bindings.pc
%doc %{prefix}/share/doc/packages/yast2-ycp-ui-bindings

%changelog
* Wed Oct 15 2008 sh@suse.de
- Added `opt(`confirmUnsupported) for PackageSelector widget
  (bnc #435479)
- V 2.17.11
* Thu Oct 09 2008 sh@suse.de
- Require latest libyui
- V 2.17.10
* Wed Oct 08 2008 sh@suse.de
- Export "y2debug" via UI::GetDisplayInfo()
* Tue Sep 30 2008 tgoettlicher@suse.de
- Added example: Wizard-SetDesktopTitle.ycp
* Fri Sep 26 2008 tgoettlicher@suse.de
- Fixed bnc #418443: Yast modules windows have no title
- V 2.17.8
* Thu Sep 25 2008 sh@suse.de
- Require latest libyui (API change!)
- V 2.17.7
* Wed Sep 17 2008 sh@suse.de
- Fixed segfault in SetLanguage() without optional encoding
* Fri Sep 12 2008 sh@suse.de
- Dropped obsolete widgetName()
- Require latest libyui
- v 2.17.6
* Thu Sep 11 2008 sh@suse.de
- Require latest libyui
- V 2.17.5
* Thu Sep 04 2008 sh@suse.de
- Added `opt(`relaxSanityCheck) for `ButtonBox (bnc #422612)
- V 2.17.4
* Thu Aug 21 2008 sh@suse.de
- Added support for new YButtonBox widget (fate #303446)
- V 2.17.3
* Tue Jul 15 2008 sh@suse.de
- Implemented fate #303492: Multi selection for table widget
- V 2.17.2
* Fri May 16 2008 sh@suse.de
- Handle nonexistent widgets in UI::SetFocus() more gracefully
  (bnc #389126)
- V 2.16.47
* Wed Apr 30 2008 lslezak@suse.cz
- added support for `repoMgr option in
  YCPDialogParser::parsePackageSelector() to make the repository
  management optional (bnc#381956)
- V 2.16.46
* Wed Apr 16 2008 sh@suse.de
- Let YDialog take care of deleting events
- V 2.16.45
* Mon Apr 14 2008 sh@suse.de
- Added `opt(`wizardDialog) to UI::OpenDialog():
  Open a dialog in YWizardDialog mode (if supported by UI)
- V 2.16.44
* Fri Apr 11 2008 sh@suse.de
- Reverted last changes - sub-wizards seem to be a dead end
- V 2.16.43
* Thu Apr 10 2008 sh@suse.de
- Added support for docked sub-wizards
- V 2.16.42
* Thu Apr 03 2008 sh@suse.de
- Added `opt(`helpButton) for PushButton widgets
- V 2.16.41
* Wed Mar 26 2008 sh@suse.de
- Added UI::TextMode() (bnc #222948)
- V 2.16.40
* Wed Mar 12 2008 mvidner@suse.cz
- build fix - prefix friendliness
* Fri Mar 07 2008 aschnell@suse.de
- include open info also of items in closed branches in OpenItems
* Wed Mar 05 2008 sh@suse.de
- Fixed bnc #365999: Shift-F7 affects only UI logging
- V 2.16.38
* Tue Mar 04 2008 sh@suse.de
- Conflict with yast2-core < 2.16.38 (before pkg split) (bnc #366873)
* Thu Feb 21 2008 sh@suse.de
- Package split off from yast2-core
- V 2.16.37